marker.section.level
Prev | Pagination and General Styles | Next

## marker.section.level

marker.section.level — Control depth of sections shown in running headers or footers

## Synopsis

    <xsl:param name="marker.section.level">2</xsl:param>

## Description

The `marker.section.level` parameter controls the depth of section levels that may be displayed in running headers and footers. For example, if the value is 2 (the default), then titles from `sect1` and `sect2` or equivalent `section` elements are candidates for use in running headers and footers.

Each candidate title is marked in the FO output with a `<fo:marker marker-class-name="section.head.marker">` element.

In order for such titles to appear in headers or footers, the `header.content` or `footer.content` template must be customized to retrieve the marker using an output element such as:

    <fo:retrieve-marker retrieve-class-name="section.head.marker"
                           retrieve-position="first-including-carryover"
                           retrieve-boundary="page-sequence"/>

Prev | Up | Next
footer.content.properties | Home | side.region.precedence